Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003098Piwigomobilepublic2014.07.03 11:562014.07.19 20:00
Reporterplg 
Assigned Toflop25 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.6.2 
Target Version2.7.0RC1Fixed in Version2.7.0RC1 
Summary0003098: switch to mobile/desktop link wrong on picture.php
DescriptionOn picture.php, the switch to mobile/desktop link goes back to the album instead of the same picture.php.
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0007508)
flop25 (developer)
2014.07.03 22:03

hmm this is an issue which has long roots deep into how pwg handles url: we doesn't have functions to modify the current url


add_url_params($_SERVER["HTTP_HOST"].$_SERVER['REQUEST_URI'], ...) sounds ugly for me because that's raw/rough but for you?
(0007509)
flop25 (developer)
2014.07.04 14:46

i'm going for a
add_url_params($_SERVER['REQUEST_URI'],array('mobile' => mobile_theme() ? 'false' : 'true'))
since it tested with question_mark_in_urls and php_extension_in_urls false
(0007510)
svn (reporter)
2014.07.05 17:30

[Subversion] r28952 by flop25 on trunk

-----[Subversion commit log]----------------------------------------------------
bug:3098
redirect to the current page when switching

- Issue History
Date Modified Username Field Change
2014.07.03 11:56 plg New Issue
2014.07.03 11:56 plg Status new => assigned
2014.07.03 11:56 plg Assigned To => flop25
2014.07.03 11:56 plg browser => any
2014.07.03 11:56 plg Web server => Apache 1.3.x
2014.07.03 22:03 flop25 Note Added: 0007508
2014.07.04 14:46 flop25 Note Added: 0007509
2014.07.05 17:30 svn Checkin
2014.07.05 17:30 svn Note Added: 0007510
2014.07.19 20:00 flop25 Status assigned => closed
2014.07.19 20:00 flop25 Resolution open => fixed
2014.07.19 20:00 flop25 Fixed in Version => 2.7.0beta3


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker